| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
globjects::NamedString Class Reference

`#include <globjects/include/globjects/NamedString.h>`

Inheritance diagram for globjects::NamedString:

## Public Member Functions
const std::string & | name () const
std::string | string () const
gl::GLenum | type () const
AbstractStringSource * | stringSource () const
gl::GLint | getParameter (gl::GLenum pname) const
virtual void | notifyChanged (const Changeable *changeable) override
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const

## Static Public Member Functions
static NamedString * | create (const std::string &name, AbstractStringSource *string)
static NamedString * | create (const std::string &name, const std::string &string)
static bool | isNamedString (const std::string &name)
static NamedString * | obtain (const std::string &name)

## Protected Member Functions
void | updateString ()
void | createNamedString ()
void | deleteNamedString ()
| NamedString (const std::string &name, AbstractStringSource *source, gl::GLenum type)
virtual | ~NamedString ()
void | registerNamedString ()
void | deregisterNamedString ()
Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()
Protected Member Functions inherited from globjects::ChangeListener
virtual | ~ChangeListener ()

## Static Protected Member Functions
static bool | hasNativeSupport ()
static NamedString * | create (const std::string &name, AbstractStringSource *string, gl::GLenum type)
static NamedString * | create (const std::string &name, const std::string &string, gl::GLenum type)

## Protected Attributes
std::string | m_name
ref_ptr< AbstractStringSource > | m_source
gl::GLenum | m_type

## Constructor & Destructor Documentation

## ◆ NamedString()

globjects::NamedString::NamedString | ( | const std::string & | name,
|  | AbstractStringSource * | source,
|  | gl::GLenum | type
| ) |  |
| protected

## ◆ ~NamedString()

virtual globjects::NamedString::~NamedString | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ create() [1/4]

static NamedString* globjects::NamedString::create | ( | const std::string & | name,
|  | AbstractStringSource * | string
| ) |  |
| static

## ◆ create() [2/4]

static NamedString* globjects::NamedString::create | ( | const std::string & | name,
|  | const std::string & | string
| ) |  |
| static

## ◆ isNamedString()

static bool globjects::NamedString::isNamedString | ( | const std::string & | name | ) |
| static

## ◆ obtain()

static NamedString* globjects::NamedString::obtain | ( | const std::string & | name | ) |
| static

## ◆ name()

const std::string& globjects::NamedString::name | ( |  | ) | const

## ◆ string()

std::string globjects::NamedString::string | ( |  | ) | const

## ◆ type()

gl::GLenum globjects::NamedString::type | ( |  | ) | const

## ◆ stringSource()

AbstractStringSource* globjects::NamedString::stringSource | ( |  | ) | const

## ◆ getParameter()

gl::GLint globjects::NamedString::getParameter | ( | gl::GLenum | pname | ) | const

## ◆ notifyChanged()

virtual void globjects::NamedString::notifyChanged | ( | const Changeable * | changeable | ) |
| override virtual

Reimplemented from globjects::ChangeListener.

## ◆ hasNativeSupport()

static bool globjects::NamedString::hasNativeSupport | ( |  | ) |
| static protected

## ◆ create() [3/4]

static NamedString* globjects::NamedString::create | ( | const std::string & | name,
|  | AbstractStringSource * | string,
|  | gl::GLenum | type
| ) |  |
| static protected

## ◆ create() [4/4]

static NamedString* globjects::NamedString::create | ( | const std::string & | name,
|  | const std::string & | string,
|  | gl::GLenum | type
| ) |  |
| static protected

## ◆ updateString()

void globjects::NamedString::updateString | ( |  | ) |
| protected

## ◆ createNamedString()

void globjects::NamedString::createNamedString | ( |  | ) |
| protected

## ◆ deleteNamedString()

void globjects::NamedString::deleteNamedString | ( |  | ) |
| protected

## ◆ registerNamedString()

void globjects::NamedString::registerNamedString | ( |  | ) |
| protected

## ◆ deregisterNamedString()

void globjects::NamedString::deregisterNamedString | ( |  | ) |
| protected

## Member Data Documentation

## ◆ m_name

std::string globjects::NamedString::m_name
| protected

## ◆ m_source

ref_ptr<AbstractStringSource> globjects::NamedString::m_source
| protected

## ◆ m_type

gl::GLenum globjects::NamedString::m_type
| protected

The documentation for this class was generated from the following file:

- NamedString.h